rte_table_action_mtr_params(3)

NAME
rte_table_action_mtr_params

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

struct rte_table_action_mtr_tc_params mtr [RTE_TABLE_ACTION_TC_MAX]
uint32_t tc_mask

Detailed Description

Meter action parameters (per table rule).

Definition at line 313 of file rte_table_action.h.

Field Documentation

  struct rte_table_action_mtr_tc_params mtr[RTE_TABLE_ACTION_TC_MAX]
Traffic meter and policer parameters for each of the tc_mask traffic classes.

Definition at line 317 of file rte_table_action.h.

  uint32_t tc_mask
Bit mask defining which traffic class parameters are valid in mtr. If bit N is set in tc_mask, then parameters for traffic class N are valid in mtr.

Definition at line 323 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.